#!/bin/bash
#
# Component: log
#
# Description:
#     Logs into database
#
# usage:
#  retrieve.sh [-p priority] [-l level] [-a action] [-u user] [-s study] [-n pname] [-h host] [-m message] 
#
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#

. $HOME/etc/setenv.sh
. $CONF/serverid.cfg

priority=""
level=""
action=""
user=""
study=""
pname=""
host=""
message=""

while getopts 'p:l:a:u:s:n:h:m:' OPT; do
	case $OPT in
	p) priority="$OPTARG" ;;
	l) level="$OPTARG" ;;
	a) action="$OPTARG" ;;
	u) user="$OPTARG" ;;
	s) study="$OPTARG" ;;
	n) pname="$OPTARG" ;;
	h) host="$OPTARG" ;;
	m) message="$OPTARG" ;;
	*) echo "Invalid_Parameter:$OPT" ; exit 1 ;;
	esac
done

	actdate=`date +"%Y%m%d"` 
	acttime=`date +"%H%M%S"` 
	echo "insert into $SCHEDULERLOGTBL (LOGEVENTDATE, LOGEVENTTIME, LOGTYPE, LOGTABLE, LOGACTION, USERID, STYIUID, LOGPNAME, LOGHOST, LOGINFORMATION, LOGSERVER) values('$actdate','$acttime','$priority','$level','$action','$user','$study','$pname','$host','$message','$SELF_SERVER_ID' );" | $MYSQL_HOME/bin/mysql -N $DBNAME
	exit 0
